Bug 1877564 - newly released operators not showing up in operatorhub without forced marketplace sync
Summary: newly released operators not showing up in operatorhub without forced marketp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Anik
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1877484
Blocks: 1877391
TreeView+ depends on / blocked
 
Reported: 2020-09-09 20:44 UTC by Haseeb Tariq
Modified: 2020-09-21 17:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1877484
Environment:
Last Closed: 2020-09-21 17:42:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 340 None closed Bug 1877564: Sync remote app-registry 2020-09-21 07:25:14 UTC
Red Hat Product Errata RHBA-2020:3719 None None None 2020-09-21 17:42:23 UTC

Comment 3 Jian Zhang 2020-09-11 10:32:07 UTC

[root@preserve-olm-env data]# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-09-10-073112   True        False         7m43s   Cluster version is 4.5.0-0.nightly-2020-09-10-073112
[root@preserve-olm-env data]# oc project openshift-marketplace
Now using project "openshift-marketplace" on server "https://api.jiazha1145.qe.azure.devcluster.openshift.com:6443".
[root@preserve-olm-env data]# oc get catalogsource
NAME                  DISPLAY               TYPE   PUBLISHER   AGE
certified-operators   Certified Operators   grpc   Red Hat     26m
community-operators   Community Operators   grpc   Red Hat     26m
qe-app-registry                             grpc               7m47s
redhat-marketplace    Red Hat Marketplace   grpc   Red Hat     26m
redhat-operators      Red Hat Operators     grpc   Red Hat     26m

[root@preserve-olm-env data]# oc exec marketplace-operator-67f84f9b75-6tbmj -- marketplace-operator --version
Marketplace source git commit: eeeee277407370e56b445a9c6630507161bb16d3
time="2020-09-11T10:22:50Z" level=info msg="Go Version: go1.13.4"
time="2020-09-11T10:22:50Z" level=info msg="Go OS/Arch: linux/amd64"
time="2020-09-11T10:22:50Z" level=info msg="operator-sdk Version: v0.8.0"

No available payload that contains the fixed PR yet, change the status to MODIFIED.

Comment 9 errata-xmlrpc 2020-09-21 17:42:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3719


Note You need to log in before you can comment on or make changes to this bug.